PRAGMA foreign_keys=OFF;
BEGIN TRANSACTION;
CREATE TABLE NODES ( ID INTEGER PRIMARY KEY AUTOINCREMENT, NAME CHAR(32), ADMINISTRATIVE_STATE CHAR(32), OPERATIONAL_STATE CHAR(32), AVAILABILITY_STATUS CHAR(32), READY_STATE CHAR(32), STATE_UUID CHAR(42));
CREATE TABLE NODE_HISTORY ( ID INTEGER PRIMARY KEY AUTOINCREMENT, NAME CHAR(32), ADMINISTRATIVE_STATE CHAR(32), OPERATIONAL_STATE CHAR(32), AVAILABILITY_STATUS CHAR(32), READY_STATE CHAR(32), STATE_UUID CHAR(42));
CREATE TABLE SERVICE_DOMAIN_INTERFACES ( ID INTEGER PRIMARY KEY AUTOINCREMENT, PROVISIONED CHAR(32), SERVICE_DOMAIN CHAR(32), SERVICE_DOMAIN_INTERFACE CHAR(32), PATH_TYPE CHAR(32), AUTH_TYPE CHAR(32), AUTH_KEY CHAR(128), INTERFACE_NAME CHAR(16), INTERFACE_STATE CHAR(32), NETWORK_TYPE CHAR(32), NETWORK_MULTICAST CHAR(256), NETWORK_ADDRESS CHAR(256), NETWORK_PORT INT, NETWORK_HEARTBEAT_PORT INT, NETWORK_PEER_ADDRESS CHAR(256), NETWORK_PEER_PORT INT, NETWORK_PEER_HEARTBEAT_PORT INT , INTERFACE_CONNECT_TYPE CHAR(32) DEFAULT 'tor');
INSERT INTO "SERVICE_DOMAIN_INTERFACES" VALUES(1,'yes','controller','management-interface','secondary','none','','','','','','','','','','','','tor');
INSERT INTO "SERVICE_DOMAIN_INTERFACES" VALUES(2,'yes','controller','oam-interface','secondary','hmac-sha512','titanium-server','','','','','','','','','','','tor');
INSERT INTO "SERVICE_DOMAIN_INTERFACES" VALUES(3,'yes','controller','cluster-host-interface','secondary','none','','','','','','','','','','','','tor');
CREATE TABLE SERVICE_DOMAINS ( ID INTEGER PRIMARY KEY AUTOINCREMENT, PROVISIONED CHAR(32), NAME CHAR(32), ORCHESTRATION CHAR(32), DESIGNATION CHAR(32), PREEMPT CHAR(32), PRIORITY INT, HELLO_INTERVAL INT, DEAD_INTERVAL INT, WAIT_INTERVAL INT, EXCHANGE_INTERVAL INT, STATE CHAR(32), SPLIT_BRAIN_RECOVERY CHAR(32), LEADER CHAR(32), GENERATION INT);
INSERT INTO "SERVICE_DOMAINS" VALUES(1,'yes','controller','regional','unknown','no',230,200,800,5000,2000,'initial','select-best-active','',1);
CREATE TABLE SERVICE_DOMAIN_MEMBERS ( ID INTEGER PRIMARY KEY AUTOINCREMENT, PROVISIONED CHAR(32), NAME CHAR(32), SERVICE_GROUP_NAME CHAR(32), REDUNDANCY_MODEL CHAR(32), N_ACTIVE INT, M_STANDBY INT, SERVICE_GROUP_AGGREGATE CHAR(32), ACTIVE_ONLY_IF_ACTIVE CHAR(32) );
INSERT INTO "SERVICE_DOMAIN_MEMBERS" VALUES(1,'yes','controller','oam-services','N + M',1,1,'controller-aggregate','directory-services');
INSERT INTO "SERVICE_DOMAIN_MEMBERS" VALUES(2,'yes','controller','controller-services','N + M',1,1,'controller-aggregate','directory-services');
INSERT INTO "SERVICE_DOMAIN_MEMBERS" VALUES(3,'yes','controller','cloud-services','N + M',1,1,'controller-aggregate','directory-services');
INSERT INTO "SERVICE_DOMAIN_MEMBERS" VALUES(4,'yes','controller','vim-services','N + M',1,1,'controller-aggregate','directory-services');
INSERT INTO "SERVICE_DOMAIN_MEMBERS" VALUES(5,'yes','controller','patching-services','N + M',1,1,'','');
INSERT INTO "SERVICE_DOMAIN_MEMBERS" VALUES(6,'yes','controller','directory-services','N',2,0,'','');
INSERT INTO "SERVICE_DOMAIN_MEMBERS" VALUES(7,'yes','controller','web-services','N',2,0,'','');
INSERT INTO "SERVICE_DOMAIN_MEMBERS" VALUES(8,'no','controller','storage-services','N',2,0,'','');
INSERT INTO "SERVICE_DOMAIN_MEMBERS" VALUES(9,'no','controller','storage-monitoring-services','N + M',1,1,'','');
INSERT INTO "SERVICE_DOMAIN_MEMBERS" VALUES(10,'no','controller','distributed-cloud-services','N + M',1,1,'controller-aggregate','');
CREATE TABLE SERVICE_DOMAIN_NEIGHBORS ( ID INTEGER PRIMARY KEY AUTOINCREMENT, NAME CHAR(32), SERVICE_DOMAIN CHAR(32), ORCHESTRATION CHAR(32), DESIGNATION CHAR(32), PRIORITY INT, HELLO_INTERVAL INT, DEAD_INTERVAL INT, WAIT_INTERVAL INT, EXCHANGE_INTERVAL INT, STATE CHAR(32), GENERATION INT);
CREATE TABLE SERVICE_DOMAIN_ASSIGNMENTS ( ID INTEGER PRIMARY KEY AUTOINCREMENT, UUID CHAR(42), NAME CHAR(32), NODE_NAME CHAR(32), SERVICE_GROUP_NAME CHAR(32), DESIRED_STATE CHAR(32), STATE CHAR(32), STATUS CHAR(32), CONDITION CHAR(32) );
CREATE TABLE SERVICE_GROUPS ( ID INTEGER PRIMARY KEY AUTOINCREMENT, PROVISIONED CHAR(32), NAME CHAR(32), AUTO_RECOVER CHAR(32), CORE CHAR(32), DESIRED_STATE CHAR(32), STATE CHAR(32), STATUS CHAR(32), CONDITION CHAR(32), FAILURE_DEBOUNCE INT, FATAL_ERROR_REBOOT CHAR(32) );
INSERT INTO "SERVICE_GROUPS" VALUES(1,'yes','oam-services','no','no','initial','initial','','',300000,'no');
INSERT INTO "SERVICE_GROUPS" VALUES(2,'yes','controller-services','no','no','initial','initial','','',300000,'yes');
INSERT INTO "SERVICE_GROUPS" VALUES(3,'yes','cloud-services','no','no','initial','initial','','',300000,'yes');
INSERT INTO "SERVICE_GROUPS" VALUES(4,'yes','patching-services','no','no','initial','initial','','',300000,'no');
INSERT INTO "SERVICE_GROUPS" VALUES(5,'yes','directory-services','no','no','initial','initial','','',300000,'no');
INSERT INTO "SERVICE_GROUPS" VALUES(6,'yes','web-services','no','no','initial','initial','','',300000,'no');
INSERT INTO "SERVICE_GROUPS" VALUES(7,'no','storage-services','no','no','initial','initial','','',120000,'yes');
INSERT INTO "SERVICE_GROUPS" VALUES(8,'no','storage-monitoring-services','no','no','initial','initial','','',120000,'no');
INSERT INTO "SERVICE_GROUPS" VALUES(9,'yes','vim-services','no','no','initial','initial','','',300000,'yes');
INSERT INTO "SERVICE_GROUPS" VALUES(10,'no','distributed-cloud-services','no','no','initial','initial','','',300000,'yes');
CREATE TABLE SERVICE_GROUP_MEMBERS ( ID INTEGER PRIMARY KEY AUTOINCREMENT, PROVISIONED CHAR(32), NAME CHAR(32), SERVICE_NAME CHAR(32), SERVICE_FAILURE_IMPACT CHAR(32));
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(1,'yes','oam-services','oam-ip','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(2,'yes','controller-services','management-ip','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(3,'yes','controller-services','drbd-pg','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(4,'yes','controller-services','drbd-rabbit','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(6,'yes','controller-services','drbd-platform','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(7,'yes','controller-services','pg-fs','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(8,'yes','controller-services','rabbit-fs','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(9,'yes','controller-services','nfs-mgmt','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(11,'yes','controller-services','platform-fs','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(12,'yes','controller-services','postgres','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(13,'yes','controller-services','rabbit','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(15,'yes','controller-services','platform-export-fs','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(17,'yes','controller-services','platform-nfs-ip','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(18,'yes','controller-services','sysinv-inv','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(19,'yes','controller-services','sysinv-conductor','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(20,'yes','controller-services','mtc-agent','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(22,'yes','controller-services','hw-mon','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(23,'yes','controller-services','dnsmasq','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(24,'yes','controller-services','fm-mgr','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(26,'yes','cloud-services','keystone','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(49,'yes','directory-services','open-ldap','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(50,'yes','web-services','lighttpd','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(51,'yes','web-services','horizon','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(52,'yes','patching-services','patch-alarm-manager','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(53,'no','storage-services','mgr-restful-plugin','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(54,'no','storage-monitoring-services','ceph-manager','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(55,'no','controller-services','drbd-cinder','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(56,'no','controller-services','cinder-lvm','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(57,'no','controller-services','iscsi','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(59,'yes','vim-services','vim','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(60,'yes','vim-services','vim-api','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(61,'yes','vim-services','vim-webserver','minor');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(62,'yes','controller-services','guest-agent','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(64,'yes','oam-services','haproxy','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(65,'no','controller-services','pxeboot-ip','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(67,'no','storage-monitoring-services','ceph-radosgw','minor');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(75,'yes','controller-services','drbd-extension','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(76,'yes','controller-services','extension-fs','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(77,'yes','controller-services','extension-export-fs','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(87,'no','distributed-cloud-services','dcorch-engine','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(88,'no','distributed-cloud-services','dcmanager-manager','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(89,'no','distributed-cloud-services','dcmanager-api','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(90,'no','distributed-cloud-services','dcmanager-audit','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(91,'no','distributed-cloud-services','dcorch-sysinv-api-proxy','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(92,'no','distributed-cloud-services','dcorch-nova-api-proxy','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(93,'no','distributed-cloud-services','dcorch-neutron-api-proxy','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(94,'no','distributed-cloud-services','dcorch-cinder-api-proxy','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(95,'no','controller-services','drbd-dc-vault','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(96,'no','controller-services','dc-vault-fs','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(97,'no','distributed-cloud-services','dcorch-patch-api-proxy','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(98,'no','distributed-cloud-services','dcorch-identity-api-proxy','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" VALUES(99,'yes','controller-services','etcd','critical');
INSERT INTO "SERVICE_GROUP_MEMBERS" SELECT MAX(id) + 1,'no','controller-services','drbd-etcd','critical' FROM "SERVICE_GROUP_MEMBERS";
INSERT INTO "SERVICE_GROUP_MEMBERS" SELECT MAX(id) + 1,'no','controller-services','etcd-fs','critical' FROM "SERVICE_GROUP_MEMBERS";
INSERT INTO "SERVICE_GROUP_MEMBERS" SELECT MAX(id) + 1,'yes','cloud-services','barbican-api','critical' FROM "SERVICE_GROUP_MEMBERS";
INSERT INTO "SERVICE_GROUP_MEMBERS" SELECT MAX(id) + 1,'yes','cloud-services','barbican-keystone-listener','critical' FROM "SERVICE_GROUP_MEMBERS";
INSERT INTO "SERVICE_GROUP_MEMBERS" SELECT MAX(id) + 1,'yes','cloud-services','barbican-worker','critical' FROM "SERVICE_GROUP_MEMBERS";
INSERT INTO "SERVICE_GROUP_MEMBERS" SELECT MAX(id) + 1,'yes','controller-services','cluster-host-ip','critical' FROM "SERVICE_GROUP_MEMBERS";
INSERT INTO "SERVICE_GROUP_MEMBERS" SELECT MAX(id) + 1,'no','distributed-cloud-services','dcdbsync-api','critical' FROM "SERVICE_GROUP_MEMBERS";
INSERT INTO "SERVICE_GROUP_MEMBERS" SELECT MAX(id) + 1,'no','controller-services','ironic-ip','critical' FROM "SERVICE_GROUP_MEMBERS";
INSERT INTO "SERVICE_GROUP_MEMBERS" SELECT MAX(id) + 1,'no','distributed-cloud-services','dcdbsync-openstack-api','critical' FROM "SERVICE_GROUP_MEMBERS";
INSERT INTO "SERVICE_GROUP_MEMBERS" SELECT MAX(id) + 1,'no','distributed-cloud-services','dcmanager-orchestrator','critical' FROM "SERVICE_GROUP_MEMBERS";
INSERT INTO "SERVICE_GROUP_MEMBERS" SELECT MAX(id) + 1,'no','distributed-cloud-services','dcmanager-audit-worker','critical' FROM "SERVICE_GROUP_MEMBERS";
INSERT INTO "SERVICE_GROUP_MEMBERS" SELECT MAX(id) + 1,'no','distributed-cloud-services','dcmanager-state','major' FROM "SERVICE_GROUP_MEMBERS";
CREATE TABLE SERVICES ( ID INTEGER PRIMARY KEY AUTOINCREMENT, PROVISIONED CHAR(32), NAME CHAR(32), DESIRED_STATE CHAR(32), STATE CHAR(32), STATUS CHAR(32), CONDITION CHAR(32), MAX_FAILURES INT, FAIL_COUNTDOWN INT, FAIL_COUNTDOWN_INTERVAL INT, MAX_ACTION_FAILURES INT, MAX_TRANSITION_FAILURES INT, PID_FILE CHAR(256) );
INSERT INTO "SERVICES" VALUES(1,'yes','oam-ip','initial','initial','none','none',2,1,90000,4,16,'');
INSERT INTO "SERVICES" VALUES(2,'yes','management-ip','initial','initial','none','none',2,1,90000,4,16,'');
INSERT INTO "SERVICES" VALUES(3,'yes','drbd-pg','initial','initial','none','none',2,1,90000,4,16,'');
INSERT INTO "SERVICES" VALUES(4,'yes','drbd-rabbit','initial','initial','none','none',2,1,90000,4,16,'');
INSERT INTO "SERVICES" VALUES(6,'yes','drbd-platform','initial','initial','none','none',2,1,90000,4,16,'');
INSERT INTO "SERVICES" VALUES(7,'yes','pg-fs','initial','initial','none','none',2,1,90000,4,16,'');
INSERT INTO "SERVICES" VALUES(8,'yes','rabbit-fs','initial','initial','none','none',2,1,90000,4,16,'');
INSERT INTO "SERVICES" VALUES(9,'yes','nfs-mgmt','initial','initial','none','none',2,1,90000,4,16,'');
INSERT INTO "SERVICES" VALUES(11,'yes','platform-fs','initial','initial','none','none',2,1,90000,4,16,'');
INSERT INTO "SERVICES" VALUES(12,'yes','postgres','initial','initial','none','none',2,1,90000,4,16,'/var/run/postmaster.pid');
INSERT INTO "SERVICES" VALUES(13,'yes','rabbit','initial','initial','none','none',2,1,90000,4,16,'/var/run/rabbitmq/rabbitmq.pid');
INSERT INTO "SERVICES" VALUES(15,'yes','platform-export-fs','initial','initial','none','none',2,1,90000,4,16,'');
INSERT INTO "SERVICES" VALUES(17,'yes','platform-nfs-ip','initial','initial','none','none',2,1,90000,4,16,'');
INSERT INTO "SERVICES" VALUES(18,'yes','sysinv-inv','initial','initial','none','none',2,1,90000,4,16,'/var/run/sysinv-api.pid');
INSERT INTO "SERVICES" VALUES(19,'yes','sysinv-conductor','initial','initial','none','none',2,1,90000,4,16,'/var/run/sysinv-conductor.pid');
INSERT INTO "SERVICES" VALUES(20,'yes','mtc-agent','initial','initial','none','none',2,1,90000,4,16,'/var/run/mtcAgent.pid');
INSERT INTO "SERVICES" VALUES(22,'yes','hw-mon','initial','initial','none','none',2,1,90000,4,16,'/var/run/hwmond.pid');
INSERT INTO "SERVICES" VALUES(23,'yes','dnsmasq','initial','initial','none','none',2,1,90000,4,16,'/var/run/dnsmasq.pid');
INSERT INTO "SERVICES" VALUES(24,'yes','fm-mgr','initial','initial','none','none',2,1,90000,4,16,'/var/run/fmManager.pid');
INSERT INTO "SERVICES" VALUES(25,'yes','keystone','initial','initial','none','none',2,1,90000,4,16,'/var/run/openstack-keystone.pid');
INSERT INTO "SERVICES" VALUES(48,'yes','open-ldap','initial','initial','none','none',2,1,90000,4,16,'/var/run/slapd.pid');
INSERT INTO "SERVICES" VALUES(50,'yes','lighttpd','initial','initial','none','none',2,1,90000,4,16,'/var/run/lighttpd.pid');
INSERT INTO "SERVICES" VALUES(51,'yes','horizon','initial','initial','none','none',2,1,90000,4,16,'/var/run/openstack-dashboard.pid');
INSERT INTO "SERVICES" VALUES(52,'yes','patch-alarm-manager','initial','initial','none','none',2,1,90000,4,16,'/var/run/patch-alarm-manager.pid');
INSERT INTO "SERVICES" VALUES(53,'no','mgr-restful-plugin','initial','initial','none','none',2,1,90000,4,16,'/var/run/ceph/mgr-restful-plugin.pid');
INSERT INTO "SERVICES" VALUES(54,'no','ceph-manager','initial','initial','none','none',2,1,90000,4,16,'/var/run/ceph/ceph-manager.pid');
INSERT INTO "SERVICES" VALUES(55,'no','drbd-cinder','initial','initial','none','none',2,1,90000,4,16,'');
INSERT INTO "SERVICES" VALUES(56,'no','cinder-lvm','initial','initial','none','none',2,1,90000,4,16,'');
INSERT INTO "SERVICES" VALUES(57,'no','iscsi','initial','initial','none','none',2,1,90000,4,16,'');
INSERT INTO "SERVICES" VALUES(59,'yes','vim','initial','initial','none','none',2,1,90000,4,16,'/var/run/nfv-vim.pid');
INSERT INTO "SERVICES" VALUES(60,'yes','vim-api','initial','initial','none','none',2,1,90000,4,16,'/var/run/nfv-vim-api.pid');
INSERT INTO "SERVICES" VALUES(61,'yes','vim-webserver','initial','initial','none','none',2,1,90000,4,16,'/var/run/nfv-vim-webserver.pid');
INSERT INTO "SERVICES" VALUES(62,'yes','guest-agent','initial','initial','none','none',2,1,90000,4,16,'/var/run/guestAgent.pid');
INSERT INTO "SERVICES" VALUES(64,'yes','haproxy','initial','initial','none','none',2,1,90000,4,16,'/var/run/haproxy.pid');
INSERT INTO "SERVICES" VALUES(65,'no','pxeboot-ip','initial','initial','none','none',2,1,90000,4,16,'');
INSERT INTO "SERVICES" VALUES(67,'no','ceph-radosgw','initial','initial','none','none',2,1,90000,4,16,'');
INSERT INTO "SERVICES" VALUES(75,'yes','drbd-extension','initial','initial','none','none',2,1,90000,4,16,'');
INSERT INTO "SERVICES" VALUES(76,'yes','extension-fs','initial','initial','none','none',2,1,90000,4,16,'');
INSERT INTO "SERVICES" VALUES(77,'yes','extension-export-fs','initial','initial','none','none',2,1,90000,4,16,'');
INSERT INTO "SERVICES" VALUES(87,'no','dcorch-engine','initial','initial','none','none',2,1,90000,4,16,'/var/run/resource-agents/dcorch-engine.pid');
INSERT INTO "SERVICES" VALUES(88,'no','dcmanager-manager','initial','initial','none','none',2,1,90000,4,16,'/var/run/resource-agents/dcmanager-manager.pid');
INSERT INTO "SERVICES" VALUES(89,'no','dcmanager-api','initial','initial','none','none',2,1,90000,4,16,'/var/run/resource-agents/dcmanager-api.pid');
INSERT INTO "SERVICES" VALUES(90,'no','dcmanager-audit','initial','initial','none','none',2,1,90000,4,16,'/var/run/resource-agents/dcmanager-audit.pid');
INSERT INTO "SERVICES" VALUES(91,'no','dcorch-sysinv-api-proxy','initial','initial','none','none',2,1,90000,4,16,'/var/run/resource-agents/dcorch-sysinv-api-proxy.pid');
INSERT INTO "SERVICES" VALUES(92,'no','dcorch-nova-api-proxy','initial','initial','none','none',2,1,90000,4,16,'/var/run/resource-agents/dcorch-nova-api-proxy.pid');
INSERT INTO "SERVICES" VALUES(93,'no','dcorch-neutron-api-proxy','initial','initial','none','none',2,1,90000,4,16,'/var/run/resource-agents/dcorch-neutron-api-proxy.pid');
INSERT INTO "SERVICES" VALUES(94,'no','dcorch-cinder-api-proxy','initial','initial','none','none',2,1,90000,4,16,'/var/run/resource-agents/dcorch-cinder-api-proxy.pid');
INSERT INTO "SERVICES" VALUES(95,'no','drbd-dc-vault','initial','initial','none','none',2,1,90000,4,16,'');
INSERT INTO "SERVICES" VALUES(96,'no','dc-vault-fs','initial','initial','none','none',2,1,90000,4,16,'');
INSERT INTO "SERVICES" VALUES(97,'no','dcorch-patch-api-proxy','initial','initial','none','none',2,1,90000,4,16,'/var/run/resource-agents/dcorch-patch-api-proxy.pid');
INSERT INTO "SERVICES" VALUES(98,'no','dcorch-identity-api-proxy','initial','initial','none','none',2,1,90000,4,16,'/var/run/resource-agents/dcorch-identity-api-proxy.pid');
INSERT INTO "SERVICES" VALUES(99,'yes','etcd','initial','initial','none','none',2,1,90000,4,16,'/var/run/etcd.pid');
INSERT INTO "SERVICES" SELECT MAX(id) + 1,'no','drbd-etcd','initial','initial','none','none',2,1,90000,4,16,'' FROM "SERVICES";
INSERT INTO "SERVICES" SELECT MAX(id) + 1,'no','etcd-fs','initial','initial','none','none',2,1,90000,4,16,'' FROM "SERVICES";
INSERT INTO "SERVICES" SELECT MAX(id) + 1,'yes','barbican-api','initial','initial','none','none',2,1,90000,4,16,'/var/run/barbican/pid' FROM "SERVICES";
INSERT INTO "SERVICES" SELECT MAX(id) + 1,'yes','barbican-keystone-listener','initial','initial','none','none',2,1,90000,4,16,'/var/run/resource-agents/barbican-keystone-listener.pid' FROM "SERVICES";
INSERT INTO "SERVICES" SELECT MAX(id) + 1,'yes','barbican-worker','initial','initial','none','none',2,1,90000,4,16,'/var/run/resource-agents/barbican-worker.pid' FROM "SERVICES";
INSERT INTO "SERVICES" SELECT MAX(id) + 1,'yes','cluster-host-ip','initial','initial','none','none',2,1,90000,4,16,'' FROM "SERVICES";
INSERT INTO "SERVICES" SELECT MAX(id) + 1,'no','dcdbsync-api','initial','initial','none','none',2,1,90000,4,16,'/var/run/resource-agents/dcdbsync-api.pid' FROM "SERVICES";
INSERT INTO "SERVICES" SELECT MAX(id) + 1,'no','ironic-ip','initial','initial','none','none',2,1,90000,4,16,'' FROM "SERVICES";
INSERT INTO "SERVICES" SELECT MAX(id) + 1,'no','dcdbsync-openstack-api','initial','initial','none','none',2,1,90000,4,16,'/var/run/resource-agents/dcdbsync-openstack-api.pid' FROM "SERVICES";
INSERT INTO "SERVICES" SELECT MAX(id) + 1,'no','dcmanager-orchestrator','initial','initial','none','none',2,1,90000,4,16,'/var/run/resource-agents/dcmanager-orchestrator.pid' FROM "SERVICES";
INSERT INTO "SERVICES" SELECT MAX(id) + 1,'no','dcmanager-audit-worker','initial','initial','none','none',2,1,90000,4,16,'/var/run/resource-agents/dcmanager-audit-worker.pid' FROM "SERVICES";
INSERT INTO "SERVICES" SELECT MAX(id) + 1,'no','dcmanager-state','initial','initial','none','none',2,1,90000,4,16,'/var/run/resource-agents/dcmanager-state.pid' FROM "SERVICES";
CREATE TABLE SERVICE_HEARTBEAT ( ID INTEGER PRIMARY KEY AUTOINCREMENT, PROVISIONED CHAR(32), NAME CHAR(32), TYPE CHAR(32), SRC_ADDRESS CHAR(108), SRC_PORT INT, DST_ADDRESS CHAR(108), DST_PORT INT, MESSAGE CHAR(256), INTERVAL_IN_MS INT, MISSED_WARN INT, MISSED_DEGRADE INT, MISSED_FAIL INT, STATE CHAR(32), MISSED INT, HEARTBEAT_TIMER_ID INT, HEARTBEAT_SOCKET INT );
CREATE TABLE SERVICE_DEPENDENCY ( DEPENDENCY_TYPE CHAR(32), SERVICE_NAME CHAR(32), STATE CHAR(32), ACTION CHAR(32), DEPENDENT CHAR(32), DEPENDENT_STATE CHAR(32), PRIMARY KEY (DEPENDENCY_TYPE, SERVICE_NAME, STATE, ACTION, DEPENDENT));
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','oam-ip','not-applicable','enable','management-ip','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','haproxy','not-applicable','enable','oam-ip','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','management-ip','not-applicable','enable','open-ldap','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','drbd-pg','not-applicable','go-active','management-ip','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','drbd-rabbit','not-applicable','go-active','management-ip','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','drbd-platform','not-applicable','go-active','management-ip','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','drbd-extension','not-applicable','go-active','management-ip','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','pg-fs','not-applicable','enable','drbd-pg','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','rabbit-fs','not-applicable','enable','drbd-rabbit','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','platform-fs','not-applicable','enable','drbd-platform','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','extension-fs','not-applicable','enable','drbd-extension','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','postgres','not-applicable','enable','pg-fs','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','rabbit','not-applicable','enable','rabbit-fs','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','platform-export-fs','not-applicable','enable','platform-fs','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','extension-export-fs','not-applicable','enable','extension-fs','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','platform-nfs-ip','not-applicable','enable','platform-export-fs','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','sysinv-conductor','not-applicable','enable','postgres','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','sysinv-conductor','not-applicable','enable','rabbit','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','sysinv-conductor','not-applicable','enable','platform-nfs-ip','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','sysinv-inv','not-applicable','enable','sysinv-conductor','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','mtc-agent','not-applicable','enable','sysinv-inv','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','hw-mon','not-applicable','enable','mtc-agent','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','guest-agent','not-applicable','enable','mtc-agent','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','vim','not-applicable','enable','mtc-agent','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','vim-api','not-applicable','enable','vim','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','vim-webserver','not-applicable','enable','vim','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dnsmasq','not-applicable','enable','sysinv-conductor','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','fm-mgr','not-applicable','enable','postgres','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','etcd','not-applicable','enable','etcd-fs','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','keystone','not-applicable','enable','postgres','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','keystone','not-applicable','enable','rabbit','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','keystone','not-applicable','enable','platform-nfs-ip','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','horizon','not-applicable','enable','lighttpd','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','ceph-manager','not-applicable','enable','mgr-restful-plugin','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','drbd-cinder','not-applicable','go-active','management-ip','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','cinder-lvm','not-applicable','enable','drbd-cinder','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','iscsi','not-applicable','enable','cinder-lvm','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','iscsi','not-applicable','enable','platform-fs','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','oam-ip','not-applicable','disable','haproxy','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','management-ip','not-applicable','disable','pg-fs','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','management-ip','not-applicable','disable','rabbit-fs','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','management-ip','not-applicable','disable','platform-fs','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','drbd-pg','not-applicable','go-standby','pg-fs','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','drbd-pg','not-applicable','disable','pg-fs','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','drbd-rabbit','not-applicable','go-standby','rabbit-fs','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','drbd-rabbit','not-applicable','disable','rabbit-fs','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','drbd-platform','not-applicable','go-standby','platform-fs','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','drbd-platform','not-applicable','disable','platform-fs','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','drbd-extension','not-applicable','go-standby','extension-fs','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','drbd-extension','not-applicable','disable','extension-fs','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','pg-fs','not-applicable','disable','postgres','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','rabbit-fs','not-applicable','disable','rabbit','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','nfs-mgmt','not-applicable','disable','platform-fs','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','extension-fs','not-applicable','disable','extension-export-fs','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','platform-nfs-ip','not-applicable','disable','keystone','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','platform-fs','not-applicable','disable','platform-export-fs','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','postgres','not-applicable','disable','fm-mgr','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','postgres','not-applicable','disable','keystone','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','postgres','not-applicable','disable','sysinv-conductor','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','rabbit','not-applicable','disable','keystone','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','rabbit','not-applicable','disable','sysinv-conductor','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','platform-export-fs','not-applicable','disable','platform-nfs-ip','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','platform-nfs-ip','not-applicable','disable','sysinv-conductor','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','sysinv-conductor','not-applicable','disable','sysinv-inv','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','sysinv-inv','not-applicable','disable','mtc-agent','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','sysinv-conductor','not-applicable','disable','dnsmasq','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','mtc-agent','not-applicable','disable','hw-mon','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','mtc-agent','not-applicable','disable','guest-agent','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','mtc-agent','not-applicable','disable','vim','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','hw-mon','not-applicable','disable','','');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','vim','not-applicable','disable','vim-api','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','vim','not-applicable','disable','vim-webserver','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dnsmasq','not-applicable','disable','','');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','lighttpd','not-applicable','disable','horizon','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','mgr-restful-plugin','not-applicable','disable','ceph-manager','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','drbd-platform','not-applicable','disable','iscsi','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','etcd-fs','not-applicable','disable','etcd','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','cinder-lvm','not-applicable','disable','iscsi','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','drbd-cinder','not-applicable','go-standby','cinder-lvm','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','drbd-cinder','not-applicable','disable','cinder-lvm','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','ceph-manager','not-applicable','disable','sysinv-conductor','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dcorch-engine','not-applicable','enable','rabbit','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dcorch-engine','not-applicable','enable','postgres','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dcorch-engine','not-applicable','enable','management-ip','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dcorch-engine','not-applicable','enable','keystone','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','rabbit','not-applicable','disable','dcorch-engine','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','postgres','not-applicable','disable','dcorch-engine','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','management-ip','not-applicable','disable','dcorch-engine','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','keystone','not-applicable','disable','dcorch-engine','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dcmanager-manager','not-applicable','enable','sysinv-inv','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dcmanager-manager','not-applicable','enable','rabbit','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dcmanager-manager','not-applicable','enable','postgres','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dcmanager-manager','not-applicable','enable','management-ip','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','sysinv-inv','not-applicable','disable','dcmanager-manager','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','rabbit','not-applicable','disable','dcmanager-manager','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','postgres','not-applicable','disable','dcmanager-manager','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','management-ip','not-applicable','disable','dcmanager-manager','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dcmanager-api','not-applicable','enable','dcmanager-manager','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dcmanager-manager','not-applicable','disable','dcmanager-api','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dcmanager-audit','not-applicable','enable','dcmanager-audit-worker','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dcmanager-audit-worker','not-applicable','disable','dcmanager-audit','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dcmanager-orchestrator','not-applicable','enable','dcmanager-manager','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dcmanager-manager','not-applicable','disable','dcmanager-orchestrator','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dcorch-sysinv-api-proxy','not-applicable','enable','sysinv-inv','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dcorch-sysinv-api-proxy','not-applicable','enable','dcorch-engine','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','sysinv-inv','not-applicable','disable','dcorch-sysinv-api-proxy','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dcorch-engine','not-applicable','disable','dcorch-sysinv-api-proxy','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dcorch-identity-api-proxy','not-applicable','enable','keystone','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dcorch-identity-api-proxy','not-applicable','enable','dcorch-engine','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','keystone','not-applicable','disable','dcorch-identity-api-proxy','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dcorch-engine','not-applicable','disable','dcorch-identity-api-proxy','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dcorch-nova-api-proxy','not-applicable','enable','dcorch-engine','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dcorch-engine','not-applicable','disable','dcorch-nova-api-proxy','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dcorch-neutron-api-proxy','not-applicable','enable','dcorch-engine','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dcorch-engine','not-applicable','disable','dcorch-neutron-api-proxy','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dcorch-cinder-api-proxy','not-applicable','enable','dcorch-engine','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dcorch-engine','not-applicable','disable','dcorch-cinder-api-proxy','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','drbd-dc-vault','not-applicable','go-active','management-ip','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dc-vault-fs','not-applicable','enable','drbd-dc-vault','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','drbd-dc-vault','not-applicable','go-standby','dc-vault-fs','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','drbd-dc-vault','not-applicable','disable','dc-vault-fs','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dcorch-patch-api-proxy','not-applicable','enable','dcmanager-manager','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dcmanager-manager','not-applicable','disable','dcorch-patch-api-proxy','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','drbd-etcd','not-applicable','go-active','management-ip','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','etcd-fs','not-applicable','enable','drbd-etcd','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','drbd-etcd','not-applicable','go-standby','etcd-fs','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','barbican-api','not-applicable','enable','postgres','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','barbican-api','not-applicable','enable','rabbit','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','barbican-worker','not-applicable','enable','barbican-api','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','barbican-keystone-listener','not-applicable','enable','barbican-worker','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','postgres','not-applicable','disable','barbican-api','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','rabbit','not-applicable','disable','barbican-api','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','barbican-api','not-applicable','disable','barbican-worker','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','barbican-worker','not-applicable','disable','barbican-keystone-listener','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dcdbsync-api','not-applicable','enable','keystone','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','keystone','not-applicable','disable','dcdbsync-api','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dcdbsync-openstack-api','not-applicable','enable','keystone','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','keystone','not-applicable','disable','dcdbsync-openstack-api','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dcmanager-audit-worker','not-applicable','enable','dcmanager-manager','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dcmanager-audit-worker','not-applicable','enable','dcmanager-state','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dcmanager-manager','not-applicable','disable','dcmanager-audit-worker','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dcmanager-state','not-applicable','enable','dcmanager-manager','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dcmanager-state','not-applicable','disable','dcmanager-audit-worker','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dcmanager-manager','not-applicable','disable','dcmanager-state','disabled');
CREATE TABLE SERVICE_INSTANCES ( ID INTEGER PRIMARY KEY AUTOINCREMENT, SERVICE_NAME CHAR(32), INSTANCE_NAME CHAR(32), INSTANCE_PARAMETERS CHAR(1024) );
INSERT INTO "SERVICE_INSTANCES" VALUES(1,'lighttpd','lighttpd','');
INSERT INTO "SERVICE_INSTANCES" VALUES(2,'horizon','horizon','');
INSERT INTO "SERVICE_INSTANCES" VALUES(4,'patch-alarm-manager','patch-alarm-manager','');
INSERT INTO "SERVICE_INSTANCES" VALUES(5,'hw-mon','hw-mon','');
INSERT INTO "SERVICE_INSTANCES" VALUES(6,'guest-agent','guest-agent','');
INSERT INTO "SERVICE_INSTANCES" VALUES(7,'vim','vim','config=/etc/nfv/vim/config.ini');
INSERT INTO "SERVICE_INSTANCES" VALUES(8,'vim-api','vim-api','config=/etc/nfv/vim/config.ini');
INSERT INTO "SERVICE_INSTANCES" VALUES(9,'vim-webserver','vim-webserver','config=/etc/nfv/vim/config.ini');
INSERT INTO "SERVICE_INSTANCES" VALUES(11,'haproxy','haproxy','');
INSERT INTO "SERVICE_INSTANCES" VALUES(12,'mgr-restful-plugin','mgr-restful-plugin','');
INSERT INTO "SERVICE_INSTANCES" VALUES(13,'ceph-manager','ceph-manager','');
INSERT INTO "SERVICE_INSTANCES" VALUES(14,'ceph-radosgw','ceph-radosgw','');
CREATE TABLE SERVICE_ACTIONS ( SERVICE_NAME CHAR(32), ACTION CHAR(32), PLUGIN_TYPE CHAR(32), PLUGIN_CLASS CHAR(32), PLUGIN_NAME CHAR(80), PLUGIN_COMMAND CHAR(80), PLUGIN_PARAMETERS CHAR(1024), MAX_FAILURE_RETRIES INT,      MAX_TIMEOUT_RETRIES INT,      MAX_TOTAL_RETRIES INT,      TIMEOUT_IN_SECS INT,      INTERVAL_IN_SECS INT,      PRIMARY KEY (SERVICE_NAME, ACTION));
INSERT INTO "SERVICE_ACTIONS" VALUES('oam-ip','enable','ocf-script','heartbeat','IPaddr2','start','',2,2,2,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('oam-ip','disable','ocf-script','heartbeat','IPaddr2','stop','',1,1,1,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('oam-ip','audit-enabled','ocf-script','heartbeat','IPaddr2','monitor','',2,2,2,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('oam-ip','audit-disabled','ocf-script','heartbeat','IPaddr2','monitor','',0,0,0,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('management-ip','enable','ocf-script','heartbeat','IPaddr2','start','',2,2,2,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('management-ip','disable','ocf-script','heartbeat','IPaddr2','stop','',1,1,1,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('management-ip','audit-enabled','ocf-script','heartbeat','IPaddr2','monitor','',2,2,2,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('management-ip','audit-disabled','ocf-script','heartbeat','IPaddr2','monitor','',0,0,0,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('cluster-host-ip','enable','ocf-script','heartbeat','IPaddr2','start','',2,2,2,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('cluster-host-ip','disable','ocf-script','heartbeat','IPaddr2','stop','',1,1,1,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('cluster-host-ip','audit-enabled','ocf-script','heartbeat','IPaddr2','monitor','',2,2,2,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('cluster-host-ip','audit-disabled','ocf-script','heartbeat','IPaddr2','monitor','',0,0,0,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-pg','enable','ocf-script','linbit','drbd','start','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,90,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-pg','disable','ocf-script','linbit','drbd','stop','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',1,1,1,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-pg','go-active','ocf-script','linbit','drbd','promote','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-pg','go-standby','ocf-script','linbit','drbd','demote','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-pg','audit-enabled','ocf-script','linbit','drbd','monitor','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,20,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-pg','audit-disabled','ocf-script','linbit','drbd','monitor','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',0,0,0,20,28);
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-rabbit','enable','ocf-script','linbit','drbd','start','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,90,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-rabbit','disable','ocf-script','linbit','drbd','stop','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',1,1,1,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-rabbit','go-active','ocf-script','linbit','drbd','promote','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-rabbit','go-standby','ocf-script','linbit','drbd','demote','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-rabbit','audit-enabled','ocf-script','linbit','drbd','monitor','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,20,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-rabbit','audit-disabled','ocf-script','linbit','drbd','monitor','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',0,0,0,20,28);
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-platform','enable','ocf-script','linbit','drbd','start','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,90,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-platform','disable','ocf-script','linbit','drbd','stop','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',1,1,1,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-platform','go-active','ocf-script','linbit','drbd','promote','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-platform','go-standby','ocf-script','linbit','drbd','demote','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-platform','audit-enabled','ocf-script','linbit','drbd','monitor','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,20,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-platform','audit-disabled','ocf-script','linbit','drbd','monitor','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',0,0,0,20,28);
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-extension','enable','ocf-script','linbit','drbd','start','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,90,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-extension','disable','ocf-script','linbit','drbd','stop','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',1,1,1,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-extension','go-active','ocf-script','linbit','drbd','promote','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-extension','go-standby','ocf-script','linbit','drbd','demote','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-extension','audit-enabled','ocf-script','linbit','drbd','monitor','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,20,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-extension','audit-disabled','ocf-script','linbit','drbd','monitor','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',0,0,0,20,28);
INSERT INTO "SERVICE_ACTIONS" VALUES('pg-fs','enable','ocf-script','heartbeat','Filesystem','start','',2,2,2,60,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('pg-fs','disable','ocf-script','heartbeat','Filesystem','stop','',1,1,1,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('pg-fs','audit-enabled','ocf-script','heartbeat','Filesystem','monitor','',2,2,2,60,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('pg-fs','audit-disabled','ocf-script','heartbeat','Filesystem','monitor','',0,0,0,60,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('rabbit-fs','enable','ocf-script','heartbeat','Filesystem','start','',2,2,2,60,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('rabbit-fs','disable','ocf-script','heartbeat','Filesystem','stop','',1,1,1,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('rabbit-fs','audit-enabled','ocf-script','heartbeat','Filesystem','monitor','',2,2,2,60,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('rabbit-fs','audit-disabled','ocf-script','heartbeat','Filesystem','monitor','',0,0,0,60,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('nfs-mgmt','enable','ocf-script','platform','nfsserver-mgmt','start','',2,2,2,15,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('nfs-mgmt','disable','ocf-script','platform','nfsserver-mgmt','stop','',1,1,1,130,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('nfs-mgmt','audit-disabled','ocf-script','platform','nfsserver-mgmt','monitor','',0,0,0,15,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('platform-fs','enable','ocf-script','heartbeat','Filesystem','start','',2,2,2,60,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('platform-fs','disable','ocf-script','heartbeat','Filesystem','stop','',1,1,1,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('platform-fs','audit-enabled','ocf-script','heartbeat','Filesystem','monitor','',2,2,2,60,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('platform-fs','audit-disabled','ocf-script','heartbeat','Filesystem','monitor','',0,0,0,60,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('extension-fs','enable','ocf-script','heartbeat','Filesystem','start','',2,2,2,60,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('extension-fs','disable','ocf-script','heartbeat','Filesystem','stop','',1,1,1,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('extension-fs','audit-enabled','ocf-script','heartbeat','Filesystem','monitor','',2,2,2,60,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('extension-fs','audit-disabled','ocf-script','heartbeat','Filesystem','monitor','',0,0,0,60,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('postgres','enable','ocf-script','heartbeat','pgsql','start','',2,2,2,120,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('postgres','disable','ocf-script','heartbeat','pgsql','stop','',1,1,1,60,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('postgres','audit-enabled','ocf-script','heartbeat','pgsql','monitor','',2,2,2,60,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('postgres','audit-disabled','ocf-script','heartbeat','pgsql','monitor','',0,0,0,60,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('rabbit','enable','ocf-script','rabbitmq','stx.rabbitmq-server','start','',2,2,2,60,20);
INSERT INTO "SERVICE_ACTIONS" VALUES('rabbit','disable','ocf-script','rabbitmq','stx.rabbitmq-server','stop','',1,1,1,60,20);
INSERT INTO "SERVICE_ACTIONS" VALUES('rabbit','audit-enabled','ocf-script','rabbitmq','stx.rabbitmq-server','monitor','',2,2,2,30,20);
INSERT INTO "SERVICE_ACTIONS" VALUES('rabbit','audit-disabled','ocf-script','rabbitmq','stx.rabbitmq-server','monitor','',0,0,0,15,20);
INSERT INTO "SERVICE_ACTIONS" VALUES('platform-export-fs','enable','ocf-script','heartbeat','exportfs','start','',2,2,2,40,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('platform-export-fs','disable','ocf-script','heartbeat','exportfs','stop','',1,1,1,15,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('platform-export-fs','audit-enabled','ocf-script','heartbeat','exportfs','monitor','',2,2,2,20,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('platform-export-fs','audit-disabled','ocf-script','heartbeat','exportfs','monitor','',0,0,0,20,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('extension-export-fs','enable','ocf-script','heartbeat','exportfs','start','',2,2,2,40,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('extension-export-fs','disable','ocf-script','heartbeat','exportfs','stop','',1,1,1,15,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('extension-export-fs','audit-enabled','ocf-script','heartbeat','exportfs','monitor','',2,2,2,20,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('extension-export-fs','audit-disabled','ocf-script','heartbeat','exportfs','monitor','',0,0,0,20,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('platform-nfs-ip','enable','ocf-script','heartbeat','IPaddr2','start','',2,2,2,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('platform-nfs-ip','disable','ocf-script','heartbeat','IPaddr2','stop','',1,1,1,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('platform-nfs-ip','audit-enabled','ocf-script','heartbeat','IPaddr2','monitor','',2,2,2,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('platform-nfs-ip','audit-disabled','ocf-script','heartbeat','IPaddr2','monitor','',0,0,0,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('sysinv-inv','enable','ocf-script','platform','sysinv-api','start','',2,2,2,15,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('sysinv-inv','disable','ocf-script','platform','sysinv-api','stop','',1,1,1,15,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('sysinv-inv','audit-enabled','ocf-script','platform','sysinv-api','monitor','',2,2,2,40,90);
INSERT INTO "SERVICE_ACTIONS" VALUES('sysinv-inv','audit-disabled','ocf-script','platform','sysinv-api','monitor','',0,0,0,40,90);
INSERT INTO "SERVICE_ACTIONS" VALUES('sysinv-conductor','enable','ocf-script','platform','sysinv-conductor','start','',2,2,2,30,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('sysinv-conductor','disable','ocf-script','platform','sysinv-conductor','stop','',1,1,1,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('sysinv-conductor','audit-enabled','ocf-script','platform','sysinv-conductor','monitor','',2,2,2,15,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('sysinv-conductor','audit-disabled','ocf-script','platform','sysinv-conductor','monitor','',0,0,0,15,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('mtc-agent','enable','ocf-script','platform','mtcAgent','start','',2,2,2,30,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('mtc-agent','disable','ocf-script','platform','mtcAgent','stop','',1,1,1,15,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('mtc-agent','audit-enabled','ocf-script','platform','mtcAgent','monitor','',2,2,2,15,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('mtc-agent','audit-disabled','ocf-script','platform','mtcAgent','monitor','',0,0,0,15,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('hw-mon','enable','ocf-script','platform','hwmon','start','',2,2,2,15,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('hw-mon','disable','ocf-script','platform','hwmon','stop','',1,1,1,15,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('hw-mon','audit-enabled','ocf-script','platform','hwmon','monitor','',2,2,2,15,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('hw-mon','audit-disabled','ocf-script','platform','hwmon','monitor','',0,0,0,15,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('dnsmasq','enable','lsb-script','','dnsmasq','start','',2,2,2,15,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dnsmasq','disable','lsb-script','','dnsmasq','stop','',1,1,1,15,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dnsmasq','audit-enabled','lsb-script','','dnsmasq','status','',2,2,2,15,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('dnsmasq','audit-disabled','lsb-script','','dnsmasq','status','',0,0,0,15,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('etcd','enable','lsb-script','','etcd','start','',2,2,2,15,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('etcd','disable','lsb-script','','etcd','stop','',1,1,1,15,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('etcd','audit-enabled','lsb-script','','etcd','status','',2,2,2,15,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('etcd','audit-disabled','lsb-script','','etcd','status','',0,0,0,15,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('fm-mgr','enable','lsb-script','','fminit','start','',2,2,2,15,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('fm-mgr','disable','lsb-script','','fminit','stop','',1,1,1,15,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('fm-mgr','audit-enabled','lsb-script','','fminit','status','',2,2,2,15,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('fm-mgr','audit-disabled','lsb-script','','fminit','status','',0,0,0,15,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('keystone','enable','ocf-script','openstack','keystone','start','',2,2,2,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('keystone','disable','ocf-script','openstack','keystone','stop','',1,1,1,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('keystone','audit-enabled','ocf-script','openstack','keystone','monitor','',2,2,2,30,20);
INSERT INTO "SERVICE_ACTIONS" VALUES('keystone','audit-disabled','ocf-script','openstack','keystone','monitor','',0,0,0,30,20);
INSERT INTO "SERVICE_ACTIONS" VALUES('open-ldap','enable','lsb-script','','openldap','start','',2,2,2,15,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('open-ldap','disable','lsb-script','','openldap','stop','',1,1,1,15,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('open-ldap','audit-enabled','lsb-script','','openldap','status','',2,2,2,15,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('open-ldap','audit-disabled','lsb-script','','openldap','status','',0,0,0,15,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('lighttpd','enable','lsb-script','','lighttpd','start','',2,2,2,15,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('lighttpd','disable','lsb-script','','lighttpd','stop','',1,1,1,15,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('lighttpd','audit-enabled','lsb-script','','lighttpd','status','',2,2,2,15,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('lighttpd','audit-disabled','lsb-script','','lighttpd','status','',0,0,0,15,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('horizon','enable','lsb-script','','horizon','start','',2,2,2,60,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('horizon','disable','lsb-script','','horizon','stop','',1,1,1,60,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('horizon','audit-enabled','lsb-script','','horizon','status','',2,2,2,15,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('horizon','audit-disabled','lsb-script','','horizon','status','',0,0,0,15,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('patch-alarm-manager','enable','lsb-script','','patch-alarm-manager','start','',2,2,2,15,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('patch-alarm-manager','disable','lsb-script','','patch-alarm-manager','stop','',1,1,1,15,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('patch-alarm-manager','audit-enabled','lsb-script','','patch-alarm-manager','status','',2,2,2,15,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('patch-alarm-manager','audit-disabled','lsb-script','','patch-alarm-manager','status','',0,0,0,15,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('vim','enable','ocf-script','nfv','vim','start','',2,2,2,20,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('vim','disable','ocf-script','nfv','vim','stop','',1,1,1,20,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('vim','audit-enabled','ocf-script','nfv','vim','monitor','',2,2,2,20,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('vim','audit-disabled','ocf-script','nfv','vim','monitor','',0,0,0,20,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('vim-api','enable','ocf-script','nfv','vim-api','start','',2,2,2,20,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('vim-api','disable','ocf-script','nfv','vim-api','stop','',1,1,1,20,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('vim-api','audit-enabled','ocf-script','nfv','vim-api','monitor','',2,2,2,20,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('vim-api','audit-disabled','ocf-script','nfv','vim-api','monitor','',0,0,0,20,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('vim-webserver','enable','ocf-script','nfv','vim-webserver','start','',2,2,2,20,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('vim-webserver','disable','ocf-script','nfv','vim-webserver','stop','',1,1,1,20,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('vim-webserver','audit-enabled','ocf-script','nfv','vim-webserver','monitor','',2,2,2,20,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('vim-webserver','audit-disabled','ocf-script','nfv','vim-webserver','monitor','',0,0,0,20,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('guest-agent','enable','ocf-script','platform','guestAgent','start','',2,2,2,20,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('guest-agent','disable','ocf-script','platform','guestAgent','stop','',1,1,1,20,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('guest-agent','audit-enabled','ocf-script','platform','guestAgent','monitor','',2,2,2,20,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('guest-agent','audit-disabled','ocf-script','platform','guestAgent','monitor','',0,0,0,20,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('haproxy','enable','lsb-script','','haproxy','start','',2,2,2,15,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('haproxy','disable','lsb-script','','haproxy','stop','',1,1,1,15,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('haproxy','audit-enabled','lsb-script','','haproxy','status','',2,2,2,15,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('haproxy','audit-disabled','lsb-script','','haproxy','status','',0,0,0,15,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('mgr-restful-plugin','enable','lsb-script','','mgr-restful-plugin','start','',2,2,2,15,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('mgr-restful-plugin','disable','lsb-script','','mgr-restful-plugin','stop','',1,1,1,15,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('mgr-restful-plugin','audit-enabled','lsb-script','','mgr-restful-plugin','status','',2,2,2,15,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('mgr-restful-plugin','audit-disabled','lsb-script','','mgr-restful-plugin','status','',0,0,0,15,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('ceph-manager','enable','lsb-script','','ceph-manager','start','',2,2,2,15,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('ceph-manager','disable','lsb-script','','ceph-manager','stop','',1,1,1,15,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('ceph-manager','audit-enabled','lsb-script','','ceph-manager','status','',2,2,2,15,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('ceph-manager','audit-disabled','lsb-script','','ceph-manager','status','',0,0,0,15,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-cinder','enable','ocf-script','linbit','drbd','start','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,90,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-cinder','disable','ocf-script','linbit','drbd','stop','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',1,1,1,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-cinder','go-active','ocf-script','linbit','drbd','promote','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-cinder','go-standby','ocf-script','linbit','drbd','demote','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-cinder','audit-enabled','ocf-script','linbit','drbd','monitor','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,20,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-cinder','audit-disabled','ocf-script','linbit','drbd','monitor','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',0,0,0,20,28);
INSERT INTO "SERVICE_ACTIONS" VALUES('cinder-lvm','enable','ocf-script','heartbeat','LVM','start','',2,2,2,330,20);
INSERT INTO "SERVICE_ACTIONS" VALUES('cinder-lvm','disable','ocf-script','heartbeat','LVM','stop','',1,1,1,30,20);
INSERT INTO "SERVICE_ACTIONS" VALUES('cinder-lvm','audit-enabled','ocf-script','heartbeat','LVM','monitor','',2,2,2,60,20);
INSERT INTO "SERVICE_ACTIONS" VALUES('cinder-lvm','audit-disabled','ocf-script','heartbeat','LVM','monitor','',0,0,0,30,20);
INSERT INTO "SERVICE_ACTIONS" VALUES('pxeboot-ip','enable','ocf-script','heartbeat','IPaddr2','start','',2,2,2,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('pxeboot-ip','disable','ocf-script','heartbeat','IPaddr2','stop','',1,1,1,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('pxeboot-ip','audit-enabled','ocf-script','heartbeat','IPaddr2','monitor','',2,2,2,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('pxeboot-ip','audit-disabled','ocf-script','heartbeat','IPaddr2','monitor','',0,0,0,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('iscsi','enable','lsb-script','','target','start','',2,2,2,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('iscsi','disable','lsb-script','','target','stop','',1,1,1,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('iscsi','audit-enabled','lsb-script','','target','status','',2,2,2,20,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('iscsi','audit-disabled','lsb-script','','target','status','',0,0,0,20,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('ceph-radosgw','enable','lsb-script','','ceph-radosgw','start','',2,2,2,15,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('ceph-radosgw','disable','lsb-script','','ceph-radosgw','stop','',1,1,1,15,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('ceph-radosgw','audit-enabled','lsb-script','','ceph-radosgw','status','',2,2,2,15,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('ceph-radosgw','audit-disabled','lsb-script','','ceph-radosgw','status','',0,0,0,15,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('dcorch-engine','enable','ocf-script','openstack','dcorch-engine','start','',2,2,2,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dcorch-engine','disable','ocf-script','openstack','dcorch-engine','stop','',1,1,1,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dcorch-engine','audit-enabled','ocf-script','openstack','dcorch-engine','monitor','',2,2,2,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('dcorch-engine','audit-disabled','ocf-script','openstack','dcorch-engine','monitor','',0,0,0,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('dcmanager-manager','enable','ocf-script','openstack','dcmanager-manager','start','',2,2,2,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dcmanager-manager','disable','ocf-script','openstack','dcmanager-manager','stop','',1,1,1,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dcmanager-manager','audit-enabled','ocf-script','openstack','dcmanager-manager','monitor','',2,2,2,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('dcmanager-manager','audit-disabled','ocf-script','openstack','dcmanager-manager','monitor','',0,0,0,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('dcmanager-audit','enable','ocf-script','openstack','dcmanager-audit','start','',2,2,2,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dcmanager-audit','disable','ocf-script','openstack','dcmanager-audit','stop','',1,1,1,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dcmanager-audit','audit-enabled','ocf-script','openstack','dcmanager-audit','monitor','',2,2,2,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('dcmanager-audit','audit-disabled','ocf-script','openstack','dcmanager-audit','monitor','',0,0,0,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('dcmanager-orchestrator','enable','ocf-script','openstack','dcmanager-orchestrator','start','',2,2,2,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dcmanager-orchestrator','disable','ocf-script','openstack','dcmanager-orchestrator','stop','',1,1,1,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dcmanager-orchestrator','audit-enabled','ocf-script','openstack','dcmanager-orchestrator','monitor','',2,2,2,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('dcmanager-orchestrator','audit-disabled','ocf-script','openstack','dcmanager-orchestrator','monitor','',0,0,0,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('dcmanager-api','enable','ocf-script','openstack','dcmanager-api','start','',2,2,2,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dcmanager-api','disable','ocf-script','openstack','dcmanager-api','stop','',1,1,1,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dcmanager-api','audit-enabled','ocf-script','openstack','dcmanager-api','monitor','',2,2,2,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('dcmanager-api','audit-disabled','ocf-script','openstack','dcmanager-api','monitor','',0,0,0,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('dcorch-sysinv-api-proxy','enable','ocf-script','openstack','dcorch-sysinv-api-proxy','start','',2,2,2,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dcorch-sysinv-api-proxy','disable','ocf-script','openstack','dcorch-sysinv-api-proxy','stop','',1,1,1,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dcorch-sysinv-api-proxy','audit-enabled','ocf-script','openstack','dcorch-sysinv-api-proxy','monitor','',2,2,2,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('dcorch-sysinv-api-proxy','audit-disabled','ocf-script','openstack','dcorch-sysinv-api-proxy','monitor','',0,0,0,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('dcorch-identity-api-proxy','enable','ocf-script','openstack','dcorch-identity-api-proxy','start','',2,2,2,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dcorch-identity-api-proxy','disable','ocf-script','openstack','dcorch-identity-api-proxy','stop','',1,1,1,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dcorch-identity-api-proxy','audit-enabled','ocf-script','openstack','dcorch-identity-api-proxy','monitor','',2,2,2,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('dcorch-identity-api-proxy','audit-disabled','ocf-script','openstack','dcorch-identity-api-proxy','monitor','',0,0,0,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('dcorch-nova-api-proxy','enable','ocf-script','openstack','dcorch-nova-api-proxy','start','',2,2,2,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dcorch-nova-api-proxy','disable','ocf-script','openstack','dcorch-nova-api-proxy','stop','',1,1,1,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dcorch-nova-api-proxy','audit-enabled','ocf-script','openstack','dcorch-nova-api-proxy','monitor','',2,2,2,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('dcorch-nova-api-proxy','audit-disabled','ocf-script','openstack','dcorch-nova-api-proxy','monitor','',0,0,0,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('dcorch-neutron-api-proxy','enable','ocf-script','openstack','dcorch-neutron-api-proxy','start','',2,2,2,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dcorch-neutron-api-proxy','disable','ocf-script','openstack','dcorch-neutron-api-proxy','stop','',1,1,1,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dcorch-neutron-api-proxy','audit-enabled','ocf-script','openstack','dcorch-neutron-api-proxy','monitor','',2,2,2,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('dcorch-neutron-api-proxy','audit-disabled','ocf-script','openstack','dcorch-neutron-api-proxy','monitor','',0,0,0,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('dcorch-cinder-api-proxy','enable','ocf-script','openstack','dcorch-cinder-api-proxy','start','',2,2,2,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dcorch-cinder-api-proxy','disable','ocf-script','openstack','dcorch-cinder-api-proxy','stop','',1,1,1,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dcorch-cinder-api-proxy','audit-enabled','ocf-script','openstack','dcorch-cinder-api-proxy','monitor','',2,2,2,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('dcorch-cinder-api-proxy','audit-disabled','ocf-script','openstack','dcorch-cinder-api-proxy','monitor','',0,0,0,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-dc-vault','enable','ocf-script','linbit','drbd','start','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,90,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-dc-vault','disable','ocf-script','linbit','drbd','stop','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',1,1,1,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-dc-vault','go-active','ocf-script','linbit','drbd','promote','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-dc-vault','go-standby','ocf-script','linbit','drbd','demote','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-dc-vault','audit-enabled','ocf-script','linbit','drbd','monitor','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,20,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-dc-vault','audit-disabled','ocf-script','linbit','drbd','monitor','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',0,0,0,20,28);
INSERT INTO "SERVICE_ACTIONS" VALUES('dc-vault-fs','enable','ocf-script','heartbeat','Filesystem','start','',2,2,2,60,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dc-vault-fs','disable','ocf-script','heartbeat','Filesystem','stop','',1,1,1,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dc-vault-fs','audit-enabled','ocf-script','heartbeat','Filesystem','monitor','',2,2,2,60,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('dc-vault-fs','audit-disabled','ocf-script','heartbeat','Filesystem','monitor','',0,0,0,60,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('dcorch-patch-api-proxy','enable','ocf-script','openstack','dcorch-patch-api-proxy','start','',2,2,2,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dcorch-patch-api-proxy','disable','ocf-script','openstack','dcorch-patch-api-proxy','stop','',1,1,1,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dcorch-patch-api-proxy','audit-enabled','ocf-script','openstack','dcorch-patch-api-proxy','monitor','',2,2,2,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('dcorch-patch-api-proxy','audit-disabled','ocf-script','openstack','dcorch-patch-api-proxy','monitor','',0,0,0,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('dcdbsync-api','enable','ocf-script','openstack','dcdbsync-api','start','',2,2,2,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dcdbsync-api','disable','ocf-script','openstack','dcdbsync-api','stop','',1,1,1,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dcdbsync-api','audit-enabled','ocf-script','openstack','dcdbsync-api','monitor','',2,2,2,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('dcdbsync-api','audit-disabled','ocf-script','openstack','dcdbsync-api','monitor','',0,0,0,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('dcdbsync-openstack-api','enable','ocf-script','openstack','dcdbsync-api','start','',2,2,2,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dcdbsync-openstack-api','disable','ocf-script','openstack','dcdbsync-api','stop','',1,1,1,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dcdbsync-openstack-api','audit-enabled','ocf-script','openstack','dcdbsync-api','monitor','',2,2,2,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('dcdbsync-openstack-api','audit-disabled','ocf-script','openstack','dcdbsync-api','monitor','',0,0,0,20,5);

INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-etcd','enable','ocf-script','linbit','drbd','start','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,90,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-etcd','disable','ocf-script','linbit','drbd','stop','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',1,1,1,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-etcd','go-active','ocf-script','linbit','drbd','promote','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-etcd','go-standby','ocf-script','linbit','drbd','demote','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-etcd','audit-enabled','ocf-script','linbit','drbd','monitor','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,20,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-etcd','audit-disabled','ocf-script','linbit','drbd','monitor','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',0,0,0,20,28);
INSERT INTO "SERVICE_ACTIONS" VALUES('etcd-fs','enable','ocf-script','heartbeat','Filesystem','start','',2,2,2,60,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('etcd-fs','disable','ocf-script','heartbeat','Filesystem','stop','',1,1,1,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('etcd-fs','audit-enabled','ocf-script','heartbeat','Filesystem','monitor','',2,2,2,60,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('etcd-fs','audit-disabled','ocf-script','heartbeat','Filesystem','monitor','',0,0,0,60,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('barbican-api','enable','ocf-script','openstack','barbican-api','start','',2,2,2,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('barbican-api','disable','ocf-script','openstack','barbican-api','stop','',1,1,1,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('barbican-api','audit-enabled','ocf-script','openstack','barbican-api','monitor','',2,2,2,30,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('barbican-api','audit-disabled','ocf-script','openstack','barbican-api','monitor','',0,0,0,30,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('barbican-keystone-listener','enable','ocf-script','openstack','barbican-keystone-listener','start','',2,2,2,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('barbican-keystone-listener','disable','ocf-script','openstack','barbican-keystone-listener','stop','',1,1,1,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('barbican-keystone-listener','audit-enabled','ocf-script','openstack','barbican-keystone-listener','monitor','',2,2,2,30,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('barbican-keystone-listener','audit-disabled','ocf-script','openstack','barbican-keystone-listener','monitor','',0,0,0,30,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('barbican-worker','enable','ocf-script','openstack','barbican-worker','start','',2,2,2,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('barbican-worker','disable','ocf-script','openstack','barbican-worker','stop','',1,1,1,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('barbican-worker','audit-enabled','ocf-script','openstack','barbican-worker','monitor','',2,2,2,30,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('barbican-worker','audit-disabled','ocf-script','openstack','barbican-worker','monitor','',0,0,0,30,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('ironic-ip','enable','ocf-script','heartbeat','IPaddr2','start','',2,2,2,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('ironic-ip','disable','ocf-script','heartbeat','IPaddr2','stop','',1,1,1,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('ironic-ip','audit-enabled','ocf-script','heartbeat','IPaddr2','monitor','',2,2,2,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('ironic-ip','audit-disabled','ocf-script','heartbeat','IPaddr2','monitor','',0,0,0,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('dcmanager-audit-worker','enable','ocf-script','openstack','dcmanager-audit-worker','start','',2,2,2,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dcmanager-audit-worker','disable','ocf-script','openstack','dcmanager-audit-worker','stop','',1,1,1,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dcmanager-audit-worker','audit-enabled','ocf-script','openstack','dcmanager-audit-worker','monitor','',2,2,2,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('dcmanager-audit-worker','audit-disabled','ocf-script','openstack','dcmanager-audit-worker','monitor','',0,0,0,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('dcmanager-state','enable','ocf-script','openstack','dcmanager-state','start','',2,2,2,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dcmanager-state','disable','ocf-script','openstack','dcmanager-state','stop','',1,1,1,20,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dcmanager-state','audit-enabled','ocf-script','openstack','dcmanager-state','monitor','',2,2,2,20,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('dcmanager-state','audit-disabled','ocf-script','openstack','dcmanager-state','monitor','',0,0,0,20,5);
CREATE TABLE SERVICE_ACTION_RESULTS ( PLUGIN_TYPE CHAR(32), PLUGIN_NAME CHAR(80), PLUGIN_COMMAND CHAR(80), PLUGIN_EXIT_CODE CHAR(32), ACTION_RESULT CHAR(32), SERVICE_STATE CHAR(32), SERVICE_STATUS CHAR(32), SERVICE_CONDITION CHAR(32), PRIMARY KEY (PLUGIN_TYPE, PLUGIN_NAME, PLUGIN_COMMAND, PLUGIN_EXIT_CODE));
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('lsb-script','default','status','0','success','enabled-active','unknown','unknown');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('lsb-script','default','status','1','success','disabled','unknown','unknown');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('lsb-script','default','status','2','success','disabled','unknown','unknown');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('lsb-script','default','status','3','success','disabled','unknown','unknown');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('lsb-script','default','status','4','failed','unknown','unknown','unknown');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('lsb-script','default','status','plugin-failure','failed','unknown','unknown','unknown');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('lsb-script','default','status','other','failed','unknown','unknown','unknown');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('lsb-script','default','default','0','success','unknown','unknown','unknown');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('lsb-script','default','default','1','failed','unknown','unknown','unknown');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('lsb-script','default','default','2','failed','unknown','unknown','unknown');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('lsb-script','default','default','3','failed','unknown','unknown','unknown');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('lsb-script','default','default','4','failed','unknown','unknown','unknown');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('lsb-script','default','default','5','failed','unknown','unknown','unknown');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('lsb-script','default','default','6','failed','unknown','unknown','unknown');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('lsb-script','default','default','7','failed','disabled','unknown','unknown');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('lsb-script','default','default','plugin-failure','failed','unknown','unknown','unknown');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('lsb-script','default','default','plugin-timeout','failed','unknown','unknown','unknown');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('lsb-script','default','default','other','failed','unknown','unknown','unknown');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('ocf-script','default','default','0','success','unknown','','');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('ocf-script','default','default','1','failed','unknown','unknown','unknown');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('ocf-script','default','default','2','failed','unknown','unknown','unknown');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('ocf-script','default','default','3','failed','unknown','unknown','unknown');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('ocf-script','default','default','4','failed','unknown','unknown','unknown');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('ocf-script','default','default','5','failed','unknown','unknown','unknown');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('ocf-script','default','default','6','failed','unknown','unknown','unknown');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('ocf-script','default','default','7','success','disabled','','');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('ocf-script','default','default','8','success','enabled-active','','');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('ocf-script','default','default','9','failed','enabled-active','unknown','unknown');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('ocf-script','default','default','32','success','unknown','degraded','data-inconsistent');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('ocf-script','default','default','33','success','unknown','degraded','data-outdated');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('ocf-script','default','default','34','success','unknown','degraded','data-consistent');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('ocf-script','default','default','35','success','unknown','degraded','data-syncing');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('ocf-script','default','default','36','success','unknown','degraded','data-standalone');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('ocf-script','default','default','37','success','enabled-active','degraded','data-inconsistent');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('ocf-script','default','default','38','success','enabled-active','degraded','data-outdated');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('ocf-script','default','default','39','success','enabled-active','degraded','data-consistent');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('ocf-script','default','default','40','success','enabled-active','degraded','data-syncing');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('ocf-script','default','default','41','success','enabled-active','degraded','data-standalone');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('ocf-script','default','default','plugin-failure','failed','unknown','unknown','unknown');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('ocf-script','default','default','plugin-timeout','failed','unknown','unknown','unknown');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('ocf-script','default','default','other','failed','unknown','unknown','unknown');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('ocf-script','default','stop','5','success','disabled','unknown','unknown');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('ocf-script','default','demote','5','success','disabled','unknown','unknown');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('ocf-script','Filesystem','stop','1','success','disabled','unknown','unknown');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('ocf-script','Filesystem','stop','plugin-timeout','success','disabled','unknown','unknown');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('lsb-script','openldap','status','0','success','enabled-active','','');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('lsb-script','openldap','status','160','success','enabled-active','','');
INSERT INTO "SERVICE_ACTION_RESULTS" VALUES('lsb-script','openldap','status','161','success','enabled-active','degraded','FD-limit-reached');
CREATE TABLE SCHEMA_VERSION (ID INTEGER PRIMARY KEY AUTOINCREMENT, MAJOR INTEGER, MINOR INTEGER);
INSERT INTO "SCHEMA_VERSION" VALUES(2,0,0);
CREATE TABLE CONFIGURATION ( ID INTEGER PRIMARY KEY AUTOINCREMENT, "KEY" CHAR(32), "VALUE" CHAR(32) );
INSERT INTO "CONFIGURATION" VALUES(1,'ENABLING_THROTTLE','2');
INSERT INTO "CONFIGURATION" ("KEY", "VALUE") VALUES("sm_client_port", "");
INSERT INTO "CONFIGURATION" ("KEY", "VALUE") VALUES("sm_server_port", "");
-- to add new service or service member, follow the examples below, avoid using a hardcoded id
-- INSERT INTO "SERVICES" SELECT MAX(id) + 1,'no','drbd-dc-vault','initial','initial','none','none',2,1,90000,4,16,'' FROM "SERVICES";
-- INSERT INTO "SERVICE_GROUP_MEMBERS" SELECT MAX(id) + 1,'no','distributed-cloud-services','dcorch-nova-api-proxy','critical' FROM "SERVICE_GROUP_MEMBERS";
INSERT INTO "SERVICE_GROUP_MEMBERS" SELECT MAX(id) + 1,'no','controller-services','docker-distribution','critical' FROM "SERVICE_GROUP_MEMBERS";
INSERT INTO "SERVICES" SELECT MAX(id) + 1, 'no','docker-distribution','initial','initial','none','none',2,1,90000,4,16,'/var/run/docker-distribution.pid' FROM "SERVICES";
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','docker-distribution','not-applicable','enable','platform-fs','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','platform-fs','not-applicable','disable','docker-distribution','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','docker-distribution','not-applicable','enable','management-ip','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','management-ip','not-applicable','disable','docker-distribution','disabled');
INSERT INTO "SERVICE_ACTIONS" VALUES('docker-distribution','enable','lsb-script','','docker-distribution','start','',2,2,2,15,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('docker-distribution','disable','lsb-script','','docker-distribution','stop','',1,1,1,15,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('docker-distribution','audit-enabled','lsb-script','','docker-distribution','status','',2,2,2,15,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('docker-distribution','audit-disabled','lsb-script','','docker-distribution','status','',0,0,0,15,40);
INSERT INTO "SERVICE_GROUP_MEMBERS" SELECT MAX(id) + 1,'no','controller-services','dockerdistribution-fs','critical' FROM "SERVICE_GROUP_MEMBERS";
INSERT INTO "SERVICES" SELECT MAX(id) + 1,'no','dockerdistribution-fs','initial','initial','none','none',2,1,90000,4,16,'' FROM "SERVICES";
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dockerdistribution-fs','not-applicable','enable','drbd-dockerdistribution','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','docker-distribution','not-applicable','enable','dockerdistribution-fs','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','drbd-dockerdistribution','not-applicable','go-standby','dockerdistribution-fs','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','drbd-dockerdistribution','not-applicable','disable','dockerdistribution-fs','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dockerdistribution-fs','not-applicable','disable','docker-distribution','disabled');
INSERT INTO "SERVICE_ACTIONS" VALUES('dockerdistribution-fs','enable','ocf-script','heartbeat','Filesystem','start','',2,2,2,60,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dockerdistribution-fs','disable','ocf-script','heartbeat','Filesystem','stop','',1,1,1,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dockerdistribution-fs','audit-enabled','ocf-script','heartbeat','Filesystem','monitor','',2,2,2,60,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('dockerdistribution-fs','audit-disabled','ocf-script','heartbeat','Filesystem','monitor','',0,0,0,60,40);
INSERT INTO "SERVICE_GROUP_MEMBERS" SELECT MAX(id) + 1,'no','controller-services','drbd-dockerdistribution','critical' FROM "SERVICE_GROUP_MEMBERS";
INSERT INTO "SERVICES" SELECT MAX(id) + 1,'no','drbd-dockerdistribution','initial','initial','none','none',2,1,90000,4,16,'' FROM "SERVICES";
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-dockerdistribution','enable','ocf-script','linbit','drbd','start','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,90,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-dockerdistribution','disable','ocf-script','linbit','drbd','stop','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',1,1,1,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-dockerdistribution','go-active','ocf-script','linbit','drbd','promote','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-dockerdistribution','go-standby','ocf-script','linbit','drbd','demote','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-dockerdistribution','audit-enabled','ocf-script','linbit','drbd','monitor','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,20,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-dockerdistribution','audit-disabled','ocf-script','linbit','drbd','monitor','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',0,0,0,20,28);

INSERT INTO "SERVICE_GROUP_MEMBERS" SELECT MAX(id) + 1,'no','controller-services','rook-mon-exit','critical' FROM "SERVICE_GROUP_MEMBERS";
INSERT INTO "SERVICES" SELECT MAX(id) + 1, 'no','rook-mon-exit','initial','initial','none','none',2,1,90000,4,16,'' FROM "SERVICES";
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','rook-mon-exit','not-applicable','enable','docker-distribution','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','docker-distribution','not-applicable','disable','rook-mon-exit','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','rook-mon-exit','not-applicable','enable','cluster-host-ip','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','cluster-host-ip','not-applicable','disable','rook-mon-exit','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','rook-mon-exit','not-applicable','enable','etcd','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','etcd','not-applicable','disable','rook-mon-exit','disabled');
INSERT INTO "SERVICE_ACTIONS" VALUES('rook-mon-exit','enable','lsb-script','','rook-mon-exit','start','',2,2,2,30,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('rook-mon-exit','disable','lsb-script','','rook-mon-exit','stop','',0,0,0,360,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('rook-mon-exit','audit-enabled','lsb-script','','rook-mon-exit','status','',2,2,2,15,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('rook-mon-exit','audit-disabled','lsb-script','','rook-mon-exit','status','',0,0,0,15,40);
INSERT INTO "SERVICE_GROUP_MEMBERS" SELECT MAX(id) + 1,'no','controller-services','rookmon-fs','critical' FROM "SERVICE_GROUP_MEMBERS";
INSERT INTO "SERVICES" SELECT MAX(id) + 1,'no','rookmon-fs','initial','initial','none','none',2,1,90000,4,16,'' FROM "SERVICES";
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','rookmon-fs','not-applicable','enable','drbd-rookmon','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','rook-mon-exit','not-applicable','enable','rookmon-fs','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','drbd-rookmon','not-applicable','go-standby','rookmon-fs','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','drbd-rookmon','not-applicable','disable','rookmon-fs','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','rookmon-fs','not-applicable','disable','rook-mon-exit','disabled');
INSERT INTO "SERVICE_ACTIONS" VALUES('rookmon-fs','enable','ocf-script','heartbeat','Filesystem','start','',2,2,2,60,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('rookmon-fs','disable','ocf-script','heartbeat','Filesystem','stop','',1,1,1,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('rookmon-fs','audit-enabled','ocf-script','heartbeat','Filesystem','monitor','',2,2,2,60,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('rookmon-fs','audit-disabled','ocf-script','heartbeat','Filesystem','monitor','',0,0,0,60,40);
INSERT INTO "SERVICE_GROUP_MEMBERS" SELECT MAX(id) + 1,'no','controller-services','drbd-rookmon','critical' FROM "SERVICE_GROUP_MEMBERS";
INSERT INTO "SERVICES" SELECT MAX(id) + 1,'no','drbd-rookmon','initial','initial','none','none',2,1,90000,4,16,'' FROM "SERVICES";
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-rookmon','enable','ocf-script','linbit','drbd','start','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,90,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-rookmon','disable','ocf-script','linbit','drbd','stop','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',1,1,1,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-rookmon','go-active','ocf-script','linbit','drbd','promote','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-rookmon','go-standby','ocf-script','linbit','drbd','demote','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-rookmon','audit-enabled','ocf-script','linbit','drbd','monitor','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,20,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-rookmon','audit-disabled','ocf-script','linbit','drbd','monitor','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',0,0,0,20,28);

INSERT INTO "SERVICE_GROUP_MEMBERS" SELECT MAX(id) + 1,'no','controller-services','ceph-mon','critical' FROM "SERVICE_GROUP_MEMBERS";
INSERT INTO "SERVICES" SELECT MAX(id) + 1, 'no','ceph-mon','initial','initial','none','none',2,1,90000,4,16,'/var/run/ceph/mon.controller.pid' FROM "SERVICES";
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','ceph-mon','not-applicable','enable','management-ip','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','management-ip','not-applicable','disable','ceph-mon','disabled');
INSERT INTO "SERVICE_ACTIONS" VALUES('ceph-mon','enable','lsb-script','','ceph-init-wrapper','start','ARGS=mon',2,2,2,30,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('ceph-mon','disable','lsb-script','','ceph-init-wrapper','stop','ARGS=mon',1,1,1,30,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('ceph-mon','audit-enabled','lsb-script','','ceph-init-wrapper','status','ARGS=mon',2,2,2,15,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('ceph-mon','audit-disabled','lsb-script','','ceph-init-wrapper','status','ARGS=mon',0,0,0,15,40);
INSERT INTO "SERVICE_GROUP_MEMBERS" SELECT MAX(id) + 1,'no','controller-services','cephmon-fs','critical' FROM "SERVICE_GROUP_MEMBERS";
INSERT INTO "SERVICES" SELECT MAX(id) + 1,'no','cephmon-fs','initial','initial','none','none',2,1,90000,4,16,'' FROM "SERVICES";
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','cephmon-fs','not-applicable','enable','drbd-cephmon','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','ceph-mon','not-applicable','enable','cephmon-fs','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','drbd-cephmon','not-applicable','go-standby','cephmon-fs','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','drbd-cephmon','not-applicable','disable','cephmon-fs','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','cephmon-fs','not-applicable','disable','ceph-mon','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','ceph-radosgw','not-applicable','enable','ceph-mon','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','ceph-mon','not-applicable','disable','ceph-radosgw','disabled');
INSERT INTO "SERVICE_ACTIONS" VALUES('cephmon-fs','enable','ocf-script','heartbeat','Filesystem','start','',2,2,2,60,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('cephmon-fs','disable','ocf-script','heartbeat','Filesystem','stop','',1,1,1,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('cephmon-fs','audit-enabled','ocf-script','heartbeat','Filesystem','monitor','',2,2,2,60,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('cephmon-fs','audit-disabled','ocf-script','heartbeat','Filesystem','monitor','',0,0,0,60,40);
INSERT INTO "SERVICE_GROUP_MEMBERS" SELECT MAX(id) + 1,'no','controller-services','drbd-cephmon','critical' FROM "SERVICE_GROUP_MEMBERS";
INSERT INTO "SERVICES" SELECT MAX(id) + 1,'no','drbd-cephmon','initial','initial','none','none',2,1,90000,4,16,'' FROM "SERVICES";
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-cephmon','enable','ocf-script','linbit','drbd','start','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,90,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-cephmon','disable','ocf-script','linbit','drbd','stop','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',1,1,1,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-cephmon','go-active','ocf-script','linbit','drbd','promote','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-cephmon','go-standby','ocf-script','linbit','drbd','demote','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-cephmon','audit-enabled','ocf-script','linbit','drbd','monitor','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',2,2,2,20,30);
INSERT INTO "SERVICE_ACTIONS" VALUES('drbd-cephmon','audit-disabled','ocf-script','linbit','drbd','monitor','master_max=1,master_node_max=1,clone_max=2,clone_node_max=1,notify=true,globally_unique=false',0,0,0,20,28);
INSERT INTO "SERVICE_GROUP_MEMBERS" SELECT MAX(id) + 1,'no','storage-services','ceph-osd','minor' FROM "SERVICE_GROUP_MEMBERS";
INSERT INTO "SERVICES" SELECT MAX(id) + 1, 'no','ceph-osd','initial','initial','none','none',2,1,90000,4,16,'' FROM "SERVICES";
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','ceph-osd','not-applicable','enable','ceph-mon','enabled-active');
INSERT INTO "SERVICE_ACTIONS" VALUES('ceph-osd','enable','lsb-script','','ceph-init-wrapper','start','ARGS=osd',2,2,2,60,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('ceph-osd','disable','lsb-script','','ceph-init-wrapper','stop','ARGS=osd',1,1,1,60,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('ceph-osd','audit-enabled','lsb-script','','ceph-init-wrapper','status','ARGS=osd',2,2,2,125,130);
INSERT INTO "SERVICE_ACTIONS" VALUES('ceph-osd','audit-disabled','lsb-script','','ceph-init-wrapper','status','ARGS=osd',0,0,0,125,130);

INSERT INTO "SERVICE_GROUP_MEMBERS" SELECT MAX(id) + 1,'no','controller-services','helmrepository-fs','critical' FROM "SERVICE_GROUP_MEMBERS";
INSERT INTO "SERVICES" SELECT MAX(id) + 1,'no','helmrepository-fs','initial','initial','none','none',2,1,90000,4,16,'' FROM "SERVICES";
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','helmrepository-fs','not-applicable','enable','platform-fs','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','platform-fs','not-applicable','disable','helmrepository-fs','disabled');
INSERT INTO "SERVICE_ACTIONS" VALUES('helmrepository-fs','enable','ocf-script','heartbeat','Filesystem','start','',2,2,2,60,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('helmrepository-fs','disable','ocf-script','heartbeat','Filesystem','stop','',1,1,1,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('helmrepository-fs','audit-enabled','ocf-script','heartbeat','Filesystem','monitor','',2,2,2,60,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('helmrepository-fs','audit-disabled','ocf-script','heartbeat','Filesystem','monitor','',0,0,0,60,40);

INSERT INTO "SERVICE_GROUP_MEMBERS" SELECT MAX(id) + 1,'no','controller-services','registry-token-server','critical' FROM "SERVICE_GROUP_MEMBERS";
INSERT INTO "SERVICES" SELECT MAX(id) + 1, 'no','registry-token-server','initial','initial','none','none',2,1,90000,4,16,'/var/run/registry-token-server.pid' FROM "SERVICES";
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','registry-token-server','not-applicable','enable','management-ip','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','management-ip','not-applicable','disable','registry-token-server','disabled');
INSERT INTO "SERVICE_ACTIONS" VALUES('registry-token-server','enable','lsb-script','','registry-token-server','start','',2,2,2,15,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('registry-token-server','disable','lsb-script','','registry-token-server','stop','',1,1,1,15,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('registry-token-server','audit-enabled','lsb-script','','registry-token-server','status','',2,2,2,15,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('registry-token-server','audit-disabled','lsb-script','','registry-token-server','status','',0,0,0,15,40);
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','registry-token-server','not-applicable','disable','docker-distribution','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','docker-distribution','not-applicable','enable','registry-token-server','enabled-active');

INSERT INTO "SERVICE_GROUP_MEMBERS" SELECT MAX(id) + 1,'no','cloud-services','dbmon','minor' FROM "SERVICE_GROUP_MEMBERS";
INSERT INTO "SERVICES" SELECT MAX(id) + 1,'no','dbmon','initial','initial','none','none',2,1,90000,4,16,'' FROM "SERVICES";
INSERT INTO "SERVICE_INSTANCES" SELECT MAX(id) + 1,'dbmon','dbmon','' FROM "SERVICE_INSTANCES";
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dbmon','not-applicable','enable','docker-distribution','enabled-active');
INSERT INTO "SERVICE_ACTIONS" VALUES('dbmon','enable','ocf-script','openstack','dbmon','start','',2,2,2,30,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dbmon','disable','ocf-script','openstack','dbmon','stop','',1,1,1,15,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dbmon','audit-enabled','ocf-script','openstack','dbmon','monitor','',2,2,2,10,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('dbmon','audit-disabled','ocf-script','openstack','dbmon','monitor','',0,0,0,10,5);
INSERT INTO "SERVICE_ACTIONS" VALUES('dbmon','go-standby','ocf-script','openstack','dbmon','standby','',2,2,2,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dbmon','go-active','ocf-script','openstack','dbmon','active','',2,2,2,180,'');

INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','mtc-agent','not-applicable','enable','fm-mgr','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','fm-mgr','not-applicable','disable','mtc-agent','disabled');

INSERT INTO "SERVICE_GROUP_MEMBERS" SELECT MAX(id) + 1,'no','distributed-cloud-services','dc-iso-fs','critical' FROM "SERVICE_GROUP_MEMBERS";
INSERT INTO "SERVICES" SELECT MAX(id) + 1,'no','dc-iso-fs','initial','initial','none','none',2,1,90000,4,16,'' FROM "SERVICES";
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dc-iso-fs','not-applicable','enable','platform-fs','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','platform-fs','not-applicable','disable','dc-iso-fs','disabled');
INSERT INTO "SERVICE_ACTIONS" VALUES('dc-iso-fs','enable','ocf-script','heartbeat','Filesystem','start','',2,2,2,30,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dc-iso-fs','disable','ocf-script','heartbeat','Filesystem','stop','',1,1,1,60,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('dc-iso-fs','audit-enabled','ocf-script','heartbeat','Filesystem','monitor','',2,2,2,30,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('dc-iso-fs','audit-disabled','ocf-script','heartbeat','Filesystem','monitor','',0,0,0,30,40);

INSERT INTO "SERVICE_GROUP_MEMBERS" SELECT MAX(id) + 1,'no','controller-services','cert-mon','critical' FROM "SERVICE_GROUP_MEMBERS";
INSERT INTO "SERVICES" SELECT MAX(id) + 1,'no','cert-mon','initial','initial','none','none',2,1,90000,4,16,'/var/run/cert-mon.pid' FROM "SERVICES";
INSERT INTO "SERVICE_INSTANCES" SELECT MAX(id) + 1,'cert-mon','cert-mon','' FROM "SERVICE_INSTANCES";
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','cert-mon','not-applicable','enable','sysinv-inv','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','sysinv-inv','not-applicable','disable','cert-mon','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','cert-mon','not-applicable','enable','dcmanager-manager','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','dcmanager-manager','not-applicable','disable','cert-mon','disabled');
INSERT INTO "SERVICE_ACTIONS" VALUES('cert-mon','enable','ocf-script','platform','cert-mon','start','',2,2,2,30,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('cert-mon','disable','ocf-script','platform','cert-mon','stop','',1,1,1,60,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('cert-mon','audit-enabled','ocf-script','platform','cert-mon','monitor','',2,2,2,30,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('cert-mon','audit-disabled','ocf-script','platform','cert-mon','monitor','',0,0,0,30,40);

INSERT INTO "SERVICE_GROUP_MEMBERS" SELECT MAX(id) + 1,'no','controller-services','device-image-fs','critical' FROM "SERVICE_GROUP_MEMBERS";
INSERT INTO "SERVICES" SELECT MAX(id) + 1,'no','device-image-fs','initial','initial','none','none',2,1,90000,4,16,'' FROM "SERVICES";
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','device-image-fs','not-applicable','enable','platform-fs','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','platform-fs','not-applicable','disable','device-image-fs','disabled');
INSERT INTO "SERVICE_ACTIONS" VALUES('device-image-fs','enable','ocf-script','heartbeat','Filesystem','start','',2,2,2,60,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('device-image-fs','disable','ocf-script','heartbeat','Filesystem','stop','',1,1,1,180,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('device-image-fs','audit-enabled','ocf-script','heartbeat','Filesystem','monitor','',2,2,2,60,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('device-image-fs','audit-disabled','ocf-script','heartbeat','Filesystem','monitor','',0,0,0,60,40);

INSERT INTO "SERVICE_GROUP_MEMBERS" SELECT MAX(id) + 1,'no','controller-services','cert-alarm','major' FROM "SERVICE_GROUP_MEMBERS";
INSERT INTO "SERVICES" SELECT MAX(id) + 1,'no','cert-alarm','initial','initial','none','none',2,1,90000,4,16,'/var/run/cert-alarm.pid' FROM "SERVICES";
INSERT INTO "SERVICE_INSTANCES" SELECT MAX(id) + 1,'cert-alarm','cert-alarm','' FROM "SERVICE_INSTANCES";
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','cert-alarm','not-applicable','enable','fm-mgr','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','fm-mgr','not-applicable','disable','cert-alarm','disabled');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','cert-alarm','not-applicable','enable','sysinv-inv','enabled-active');
INSERT INTO "SERVICE_DEPENDENCY" VALUES('action','sysinv-inv','not-applicable','disable','cert-alarm','disabled');
INSERT INTO "SERVICE_ACTIONS" VALUES('cert-alarm','enable','ocf-script','platform','cert-alarm','start','',2,2,2,30,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('cert-alarm','disable','ocf-script','platform','cert-alarm','stop','',1,1,1,60,'');
INSERT INTO "SERVICE_ACTIONS" VALUES('cert-alarm','audit-enabled','ocf-script','platform','cert-alarm','monitor','',2,2,2,30,40);
INSERT INTO "SERVICE_ACTIONS" VALUES('cert-alarm','audit-disabled','ocf-script','platform','cert-alarm','monitor','',0,0,0,30,40);

COMMIT;
